﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using Infragistics.Controls.Grids;

namespace XamGridCheckBoxSelector
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MyViewModel();
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            int index = (int)(sender as CheckBox).Tag;
            _xamGrid.SelectionSettings.SelectedRows.Add(_xamGrid.Rows[index]);
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            if (_xamGrid.SelectionSettings.SelectedRows.Count > 0)
            {
                int index = (int)(sender as CheckBox).Tag;
                _xamGrid.SelectionSettings.SelectedRows.Remove(_xamGrid.Rows[index]);
            }
        }

        private void CheckBox_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            var checkbox = sender as CheckBox;
            if (checkbox != null)
                checkbox.IsChecked = !checkbox.IsChecked;
        }

        private void XamGrid_CellClicked(object sender, Infragistics.Controls.Grids.CellClickedEventArgs e)
        {
            foreach (Row item in _xamGrid.Rows)
            {
                CheckBox cb = Utilities.GetDescendantFromName(item.Control, "_checkBoxDataTemplate") as CheckBox;
                cb.IsChecked = false;
            }
            CheckBox cb1 = Utilities.GetDescendantFromName(e.Cell.Row.Control, "_checkBoxDataTemplate") as CheckBox;
            cb1.IsChecked = true;
        }
    }
}
